Subject: bug#9361: 24.0.50; default value of `dired-do-chmod'

From: Chong Yidong <[email-masked]>
Date: Wed, 14 Sep 2011 11:07:30 -0400

Juri Linkov <[email-masked]> writes:

> Please don't insert the default value as initial input.
> Most of the time, users type short symbolic modes that
> add/remove permissions on one user part such as "a=rw" or "go-w".
> It would be annoying for them to delete initial input
> before typing symbolic modes.

Fair enough; deleted.

>> STANDARD-VALUE, if non-nil, should be a \"standard\" value or
>> list of such values, available via history commands.
>
> STANDARD-VALUE is non-standard terminology.  According to
> `read-from-minibuffer' it's named DEFAULT-VALUE.

I don't like DEFAULT-VALUE, because it's not the default returned by
empty input.  But I guess we should be consistent with
read-from-minibuffer, so I changed it.  We should revisit this issue at
some point (in read-from-minibuffer too).